default:
  image: registry.gitlab.com/softawere-hackathon/base-runner-container:node-18-alpine3.16-0.0.5

cache:
  paths:
    - .cache
    - node_modules

build-website-job:
  stage: build
  cache:
    key:
      files:
        - yarn.lock
    paths:
      - node_modules
      - .yarn
  before_script:
    - yarn install --legacy-peer-deps --cache-folder .yarn
    - npm install -g gatsby@^5.10.0
    - npm install -g wrangler
  script:
    # run the build of the website
    - export CI_JOB_SIZE=$(du -sk . | sed  's/\([0-9]*\).*$/\1/g')
    - export CI_JOB_AFTER_REQUIREMENTS_STARTED_AT=$(date +%s)
    - NODE_ENV=production yarn run build
    - wrangler pages deploy ./public --project-name=ecoqube-website --branch=main
    - curl -s https://gitlab.com/softawere-hackathon/softawere/-/raw/main/gitlab-metric-script/get_metrics.py | python
  artifacts:
    paths:
      - public/
